#include <evo.h>
#include "resources.h"

static u8 i, currentFrame, currentSlide, x, keys[40], sprx;

const char DAE_VAL[18] = {0, 0, 0, 0, 1, 1, 1, 1, 0, 0, 0, 0, 2, 2, 2, 2, 0};

void title(void)
{
	currentFrame=0;
	pal_bright(BRIGHT_MIN);
	draw_image(0,0,IMG_TITLE_BACK);
	pal_select(PAL_TITLE_BACK);
	swap_screen();
	sprites_start();

	for(i=0;i<4;++i)
	{
		pal_bright(BRIGHT_MIN+i);
		delay(2);
	}

	music_play(MUS_BOMBRMAN);
	while(1) {
		
		keyboard(keys);
		
		if(keys[KEY_SPACE]) {
			for(i=0;i<4;++i)
			{
				pal_bright(BRIGHT_MID-i);
				delay(2);
			}

			break;
		}
		
		switch(currentFrame) {
			case 0:
				draw_image(8,16,IMG_TITLE_FRAME2);
				draw_image(29,16,IMG_TITLE_FRAME3);
				break;
			case 8:
				draw_image(8,16,IMG_TITLE_FRAME1);
				draw_image(29,16,IMG_TITLE_FRAME1);
				break;
			case 17:
				draw_image(8,16,IMG_TITLE_FRAME3);
				draw_image(29,16,IMG_TITLE_FRAME2);
				break;
			case 26:
				draw_image(8,16,IMG_TITLE_FRAME1);
				draw_image(29,16,IMG_TITLE_FRAME1);
				break;
		}

		++currentFrame;
		if (currentFrame>35) currentFrame=0;
		
		swap_screen();
	}
}

void main(void)
{
	title();
	
	currentFrame=0;
	currentSlide=0;
	draw_image(0,0,IMG_SKY_BG);
	pal_select(PAL_SKY_BG);

	swap_screen();
	sprites_start();

	for(i=0;i<4;++i)
	{
		pal_bright(BRIGHT_MIN+i);
		delay(2);
	}
	
	draw_image(7,2,IMG_SLIDE01);

	while(1) {
		x++;
		x&=15;
		++currentFrame;
		set_sprite(0,76,152,DAE_VAL[currentFrame]);
		
		// 
		sprx = 28;
		for(i=1;i<14;i++) {
			set_sprite(i,sprx,168,3+x);
			sprx+=8;		
		}
		
		if(currentFrame>16) currentFrame=0;
		
		keyboard(keys);
		
		if(keys[KEY_SPACE]&KEY_PRESS) {
			++currentSlide;
			if(currentSlide>10) currentSlide=0;
			
			switch (currentSlide) {
				case 0: draw_image(7,2,IMG_SLIDE01); break;
				case 1: draw_image(7,2,IMG_SLIDE02); break;
				case 2: draw_image(7,2,IMG_SLIDE03); break;
				case 3: draw_image(7,2,IMG_SLIDE04); break;
				case 4: draw_image(7,2,IMG_SLIDE05); break;
				case 5: draw_image(7,2,IMG_SLIDE06); break;
				case 6: draw_image(7,2,IMG_SLIDE07); break;
				case 7: draw_image(7,2,IMG_SLIDE08); break;
				case 8: draw_image(7,2,IMG_SLIDE09); break;
				case 9: draw_image(7,2,IMG_SLIDE10); break;
			}
		}
		
		swap_screen();
	}
}